net.dontdrinkandroot.lastfm.api

## Class LastfmWebServicesException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.dontdrinkandroot.lastfm.api.LastfmWebServicesException

All Implemented Interfaces:
  Serializable

    public class LastfmWebServicesException
    extends Exception

Author:
  Philip Sorst
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `CACHE_ERROR`
`static int` `INVALID_METHOD_SIGNATURE`
`static int` `INVALID_PARAMETERS`
`static int` `INVALID_PLAYLIST_ID`
`static int` `INVALID_SESSIONKEY`
`static int` `INVALID_TOKEN`
`static int` `NO_MORE_PAGES`
`static int` `OPENING_CONNECTION_FAILED`
`static int` `READING_DOC_FAILED`
`static int` `STREAM_WAS_NULL`
`static int` `TOO_MANY_REQUESTS`
`static int` `UNMARSHALLING_FAILED`
`static int` `UNSUPPORTED_PROTOCOL`
`static int` `WRITING_POST_DATA_FAILED`

### Constructor Summary

Constructors
Constructor and Description
`LastfmWebServicesException(int code, String reason)`
`LastfmWebServicesException(int code, String reason, Throwable t)`

### Method Summary

Methods
`int` `getCode()`
`void` `setCode(int code)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INVALID_TOKEN

    public static final int INVALID_TOKEN

See Also:
  Constant Field Values

#### INVALID_PARAMETERS

    public static final int INVALID_PARAMETERS

See Also:
  Constant Field Values

#### INVALID_PLAYLIST_ID

    public static final int INVALID_PLAYLIST_ID

See Also:
  Constant Field Values

#### INVALID_SESSIONKEY

    public static final int INVALID_SESSIONKEY

See Also:
  Constant Field Values

#### INVALID_METHOD_SIGNATURE

    public static final int INVALID_METHOD_SIGNATURE

See Also:
  Constant Field Values

#### UNMARSHALLING_FAILED

    public static final int UNMARSHALLING_FAILED

See Also:
  Constant Field Values

#### OPENING_CONNECTION_FAILED

    public static final int OPENING_CONNECTION_FAILED

See Also:
  Constant Field Values

#### WRITING_POST_DATA_FAILED

    public static final int WRITING_POST_DATA_FAILED

See Also:
  Constant Field Values

#### UNSUPPORTED_PROTOCOL

    public static final int UNSUPPORTED_PROTOCOL

See Also:
  Constant Field Values

#### STREAM_WAS_NULL

    public static final int STREAM_WAS_NULL

See Also:
  Constant Field Values

#### CACHE_ERROR

    public static final int CACHE_ERROR

See Also:
  Constant Field Values

#### TOO_MANY_REQUESTS

    public static final int TOO_MANY_REQUESTS

See Also:
  Constant Field Values

#### READING_DOC_FAILED

    public static final int READING_DOC_FAILED

See Also:
  Constant Field Values

#### NO_MORE_PAGES

    public static final int NO_MORE_PAGES

See Also:
  Constant Field Values

### Constructor Detail

#### LastfmWebServicesException

    public LastfmWebServicesException(int code,
                              String reason)

#### LastfmWebServicesException

    public LastfmWebServicesException(int code,
                              String reason,
                              Throwable t)

### Method Detail

#### getCode

    public final int getCode()

#### setCode

    public final void setCode(int code)